Bug 1147831

Summary: jenkins: ERROR 500: Server Error when accessing http://localhost:8080/jnlpJars/{jenkins-cli,slave}.jar
Product: [Fedora] Fedora Reporter: Michal Srb <msrb>
Component: jenkinsAssignee: Michal Srb <msrb>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: java-sig-commits, msrb
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: jenkins-remoting-2.46-2.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-01 17:02:37 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Michal Srb 2014-09-30 07:37:58 UTC
Description of problem:

It should be possible to download jenkins-cli.jar and slave.jar from following URLs:

http://localhost:8080/jnlpJars/jenkins-cli.jar
http://localhost:8080/jnlpJars/slave.jar

But:

$ wget http://localhost:8080/jnlpJars/jenkins-cli.jar
--2014-09-30 03:36:01--  http://localhost:8080/jnlpJars/jenkins-cli.jar
Resolving localhost (localhost)... 127.0.0.1
Connecting to localhost (localhost)|127.0.0.1|:8080... connected.
HTTP request sent, awaiting response... 500 Server Error
2014-09-30 03:36:01 ERROR 500: Server Error.

Version-Release number of selected component (if applicable):
jenkins-1.581-2

How reproducible:
always

Comment 1 Fedora Update System 2014-10-14 10:29:41 UTC
jenkins-remoting-2.46-2.fc21,jenkins-ant-plugin-1.2-2.fc21,jenkins-credentials-plugin-1.10-5.fc21,jenkins-external-monitor-job-plugin-1.2-2.fc21,jenkins-javadoc-plugin-1.2-2.fc21,jenkins-junit-plugin-1.1-2.fc21,jenkins-mailer-plugin-1.11-2.fc21,jenkins-ssh-credentials-plugin-1.6.1-4.fc21,jenkins-ssh-slaves-plugin-1.6-4.fc21,js-yui2-2.9.0-7.fc21,js-CodeMirror-4.0.3-4.fc21,jenkins-1.581-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/jenkins-remoting-2.46-2.fc21,jenkins-ant-plugin-1.2-2.fc21,jenkins-credentials-plugin-1.10-5.fc21,jenkins-external-monitor-job-plugin-1.2-2.fc21,jenkins-javadoc-plugin-1.2-2.fc21,jenkins-junit-plugin-1.1-2.fc21,jenkins-mailer-plugin-1.11-2.fc21,jenkins-ssh-credentials-plugin-1.6.1-4.fc21,jenkins-ssh-slaves-plugin-1.6-4.fc21,js-yui2-2.9.0-7.fc21,js-CodeMirror-4.0.3-4.fc21,jenkins-1.581-3.fc21

Comment 2 Fedora Update System 2014-10-16 02:06:49 UTC
Package jenkins-remoting-2.46-2.fc21, jenkins-ant-plugin-1.2-2.fc21, jenkins-credentials-plugin-1.10-5.fc21, jenkins-external-monitor-job-plugin-1.2-2.fc21, jenkins-javadoc-plugin-1.2-2.fc21, jenkins-junit-plugin-1.1-2.fc21, jenkins-mailer-plugin-1.11-2.fc21, jenkins-ssh-credentials-plugin-1.6.1-4.fc21, jenkins-ssh-slaves-plugin-1.6-4.fc21, js-yui2-2.9.0-7.fc21, js-CodeMirror-4.0.3-4.fc21, jenkins-1.581-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jenkins-remoting-2.46-2.fc21 jenkins-ant-plugin-1.2-2.fc21 jenkins-credentials-plugin-1.10-5.fc21 jenkins-external-monitor-job-plugin-1.2-2.fc21 jenkins-javadoc-plugin-1.2-2.fc21 jenkins-junit-plugin-1.1-2.fc21 jenkins-mailer-plugin-1.11-2.fc21 jenkins-ssh-credentials-plugin-1.6.1-4.fc21 jenkins-ssh-slaves-plugin-1.6-4.fc21 js-yui2-2.9.0-7.fc21 js-CodeMirror-4.0.3-4.fc21 jenkins-1.581-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12898/jenkins-remoting-2.46-2.fc21,jenkins-ant-plugin-1.2-2.fc21,jenkins-credentials-plugin-1.10-5.fc21,jenkins-external-monitor-job-plugin-1.2-2.fc21,jenkins-javadoc-plugin-1.2-2.fc21,jenkins-junit-plugin-1.1-2.fc21,jenkins-mailer-plugin-1.11-2.fc21,jenkins-ssh-credentials-plugin-1.6.1-4.fc21,jenkins-ssh-slaves-plugin-1.6-4.fc21,js-yui2-2.9.0-7.fc21,js-CodeMirror-4.0.3-4.fc21,jenkins-1.581-3.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-11-01 17:02:37 UTC
jenkins-remoting-2.46-2.fc21, jenkins-ant-plugin-1.2-2.fc21, jenkins-credentials-plugin-1.10-5.fc21, jenkins-external-monitor-job-plugin-1.2-2.fc21, jenkins-javadoc-plugin-1.2-2.fc21, jenkins-junit-plugin-1.1-2.fc21, jenkins-mailer-plugin-1.11-2.fc21, jenkins-ssh-credentials-plugin-1.6.1-4.fc21, jenkins-ssh-slaves-plugin-1.6-4.fc21, js-yui2-2.9.0-7.fc21, js-CodeMirror-4.0.3-4.fc21, jenkins-1.581-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.